package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * RFID
 * </p>
 *
 * @author mk
 * @since 2023-10-18
 */
@TableName("rfid_info")
@ApiModel(value="RfidInfo对象", description="RFID")
public class RfidInfo extends Model<RfidInfo> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "rfid")
    @TableField("rfid")
    private String rfid;

    @ApiModelProperty(value = "订单批次号")
    @TableField("order_pack")
    private String orderPack;

    @ApiModelProperty(value = "批次号")
    @TableField("production_batch")
    private String productionBatch;

    @ApiModelProperty(value = "唯一码")
    @TableField("uniquecode")
    private Integer uniquecode;

    @ApiModelProperty(value = "厂商代码")
    @TableField("manufacturer")
    private Integer manufacturer;

    @ApiModelProperty(value = "标签种类代码")
    @TableField("tag_type")
    private Integer tagType;

    @ApiModelProperty(value = "供应商")
    @TableField("supplier")
    private Integer supplier;

    @ApiModelProperty(value = "品类")
    @TableField("category")
    private Integer category;

    @ApiModelProperty(value = "规格")
    @TableField("norms")
    private String norms;

    @ApiModelProperty(value = "是否使用")
    @TableField("isused")
    private Integer isused;

    @ApiModelProperty(value = "sn码")
    @TableField("sn_code")
    private String snCode;

    @ApiModelProperty(value = "感应抽纸长度默认50cm")
    @TableField("sense_length")
    private Integer senseLength;

    @ApiModelProperty(value = "扫码抽纸长度默认50cm")
    @TableField("scan_length")
    private Integer scanLength;

    @ApiModelProperty(value = "用纸长度")
    @TableField("paper_length")
    private Integer paperLength;

    @ApiModelProperty(value = "区域id")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "物业id")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "代理id")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "用纸次数")
    @TableField("paper_count")
    private Integer paperCount;

    @ApiModelProperty(value = "剩余次数")
    @TableField("paper_surplus")
    private Integer paperSurplus;

    @ApiModelProperty(value = "剔除标识 0：未剔除;l:已剔除")
    @TableField("eliminat_flag")
    private Integer eliminatFlag;

    @ApiModelProperty(value = "任务标识")
    @TableField("assignment_flag")
    private Integer assignmentFlag;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getRfid() {
        return rfid;
    }

    public void setRfid(String rfid) {
        this.rfid = rfid;
    }

    public String getOrderPack() {
        return orderPack;
    }

    public void setOrderPack(String orderPack) {
        this.orderPack = orderPack;
    }

    public String getProductionBatch() {
        return productionBatch;
    }

    public void setProductionBatch(String productionBatch) {
        this.productionBatch = productionBatch;
    }

    public Integer getUniquecode() {
        return uniquecode;
    }

    public void setUniquecode(Integer uniquecode) {
        this.uniquecode = uniquecode;
    }

    public Integer getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(Integer manufacturer) {
        this.manufacturer = manufacturer;
    }

    public Integer getTagType() {
        return tagType;
    }

    public void setTagType(Integer tagType) {
        this.tagType = tagType;
    }

    public Integer getSupplier() {
        return supplier;
    }

    public void setSupplier(Integer supplier) {
        this.supplier = supplier;
    }

    public Integer getCategory() {
        return category;
    }

    public void setCategory(Integer category) {
        this.category = category;
    }

    public String getNorms() {
        return norms;
    }

    public void setNorms(String norms) {
        this.norms = norms;
    }

    public Integer getIsused() {
        return isused;
    }

    public void setIsused(Integer isused) {
        this.isused = isused;
    }

    public String getSnCode() {
        return snCode;
    }

    public void setSnCode(String snCode) {
        this.snCode = snCode;
    }

    public Integer getSenseLength() {
        return senseLength;
    }

    public void setSenseLength(Integer senseLength) {
        this.senseLength = senseLength;
    }

    public Integer getScanLength() {
        return scanLength;
    }

    public void setScanLength(Integer scanLength) {
        this.scanLength = scanLength;
    }

    public Integer getPaperLength() {
        return paperLength;
    }

    public void setPaperLength(Integer paperLength) {
        this.paperLength = paperLength;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Integer getPaperCount() {
        return paperCount;
    }

    public void setPaperCount(Integer paperCount) {
        this.paperCount = paperCount;
    }

    public Integer getPaperSurplus() {
        return paperSurplus;
    }

    public void setPaperSurplus(Integer paperSurplus) {
        this.paperSurplus = paperSurplus;
    }

    public Integer getEliminatFlag() {
        return eliminatFlag;
    }

    public void setEliminatFlag(Integer eliminatFlag) {
        this.eliminatFlag = eliminatFlag;
    }

    public Integer getAssignmentFlag() {
        return assignmentFlag;
    }

    public void setAssignmentFlag(Integer assignmentFlag) {
        this.assignmentFlag = assignmentFlag;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "RfidInfo{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", rfid=" + rfid +
        ", orderPack=" + orderPack +
        ", productionBatch=" + productionBatch +
        ", uniquecode=" + uniquecode +
        ", manufacturer=" + manufacturer +
        ", tagType=" + tagType +
        ", supplier=" + supplier +
        ", category=" + category +
        ", norms=" + norms +
        ", isused=" + isused +
        ", snCode=" + snCode +
        ", senseLength=" + senseLength +
        ", scanLength=" + scanLength +
        ", paperLength=" + paperLength +
        ", districtId=" + districtId +
        ", propertyId=" + propertyId +
        ", agentId=" + agentId +
        ", paperCount=" + paperCount +
        ", paperSurplus=" + paperSurplus +
        ", eliminatFlag=" + eliminatFlag +
        ", assignmentFlag=" + assignmentFlag +
        "}";
    }
}
